USE [Database]

IF OBJECT_ID('[Procedures].[delete_product_inflow_record]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[delete_product_inflow_record];
GO
CREATE PROCEDURE [Procedures].[delete_product_inflow_record]
  @product_inflow_record_id AS INT
AS
  DELETE FROM [Tables].[product_inflow_records]
  WHERE [id] = @product_inflow_record_id;
GO